/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.gradle.plugins.target.platform.extensions;

import java.util.Arrays;
import java.util.LinkedHashSet;
import java.util.Set;

import org.gradle.api.Project;
import org.gradle.util.GUtil;

/**
 * @author Gregory Amerson
 */
public class TargetPlatformIDEExtension {

	public TargetPlatformIDEExtension(Project project) {
	}

	public Set<?> getIncludeGroups() {
		return _includeGroups;
	}

	public TargetPlatformIDEExtension includeGroups(Iterable<?> includeGroups) {
		GUtil.addToCollection(_includeGroups, includeGroups);

		return this;
	}

	public TargetPlatformIDEExtension includeGroups(Object... includeGroups) {
		return includeGroups(Arrays.asList(includeGroups));
	}

	public void setIncludeGroups(Iterable<?> includeGroups) {
		_includeGroups.clear();

		includeGroups(includeGroups);
	}

	public void setIncludeGroups(Object... includeGroups) {
		setIncludeGroups(Arrays.asList(includeGroups));
	}

	private final Set<Object> _includeGroups = new LinkedHashSet<>();

}